Summary: Fuduntu AWN Configuration
Name: fuduntu-awn
Version: 1.1
Release: 2
BuildArch: noarch
License: GPL+
Group: User Interface/System Utilities

Source0: %{name}-%{version}.tar.bz2
URL: http://www.fuduntu.org

Requires:	avant-window-navigator
Requires:	awn-extras-applets

%description
This is the configuration metapackage that applies the Fuduntu AWN configuration

%prep
%setup -q

%build

%post

%install
mkdir -p $RPM_BUILD_ROOT/etc/xdg/autostart
mkdir -p $RPM_BUILD_ROOT/usr/local/bin
install -m 0755 etc/xdg/autostart/compiz-runonce.desktop $RPM_BUILD_ROOT/etc/xdg/autostart
install -m 0755 usr/local/bin/compiz-check $RPM_BUILD_ROOT/usr/local/bin
install -m 0755 usr/local/bin/awn-runonce.sh $RPM_BUILD_ROOT/usr/local/bin
install -m 0755 usr/local/bin/compiz-runonce.sh $RPM_BUILD_ROOT/usr/local/bin
install -m 0755 usr/local/bin/awn-startup.sh $RPM_BUILD_ROOT/usr/local/bin


%files
%defattr(-, root, root)
/etc/xdg/autostart/compiz-runonce.desktop
/usr/local/bin/compiz-check
/usr/local/bin/awn-runonce.sh
/usr/local/bin/compiz-runonce.sh
/usr/local/bin/awn-startup.sh


%changelog
* Sat Oct 27 2012 Andrew Wyatt <andrew@fuduntu.org> 1.1-2
- Windows no longer wobble by default
- AWN default effects update
- AWN defaults clean up

* Sat Sep 22 2012 Andrew Wyatt <andrew@fuduntu.org> 1.0-7
- Compiz should not default when booting in a VM

* Thu Sep 06 2012 Andrew Wyatt <andrew@fuduntu.org> 1.0-5
- Add Pidgin and LibreOffice Writer to default dock

* Sat Apr 21 2012 Andrew Wyatt <andrew@fuduntu.org> 1.0-4
- Update to account for changed Firefox icon name

* Sun Mar 28 2012 Andrew Wyatt <andrew@fuduntu.org> 1.0-3
- Fix Compiz Check

* Sun Oct 16 2011 Andrew Wyatt <andrew@fuduntu.org> 1.0-1
- Move from the Fuduntu Customizations package to support XFCE spin
